<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/PTree/ParameterDeclaration.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::PTree::ParameterDeclaration</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../PTree.html" >PTree</a>
</div><div class="class-name">class ParameterDeclaration

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/PTree/Lists.hh.html" target="detail">../Synopsis/PTree/Lists.hh</a></div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mParameterDeclaration" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line140" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="ParameterDeclaration-inheritance" src="ParameterDeclaration-inheritance.png" hspace="8" vspace="8" border="0" usemap="#ParameterDeclaration-inheritance_map" />
<map name="ParameterDeclaration-inheritance_map"><area alt="Scopes/Synopsis/PTree/List.html" href="List.html" shape="rect" coords="56, 82, 200, 106" />
<area alt="Scopes/Synopsis/PTree/Node.html" href="Node.html" shape="rect" coords="52, 7, 204, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="ParameterDeclaration_lNode_S_cNode_S_cNode_S_r">ParameterDeclaration</a>(<a href="Node.html" >Node</a>* <span class="variable">mod</span>, <a href="Node.html" >Node</a>* <span class="variable">type</span>, <a href="Node.html" >Node</a>* <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mParameterDeclaration_mParameterDeclaration_lNode_S_cNode_S_cNode_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line143" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="accept_lVisitor_S_r">accept</a>(<a href="Visitor.html" >Visitor</a>* <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref12.html#Synopsis_mPTree_mParameterDeclaration_maccept_lVisitor_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/PTree/Lists.hh.html#line145" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Public Member functions Inherited from List">
<tr><td colspan="2" class="heading">Public Member functions Inherited from List</td></tr>
<tr><td class="inherited"><a href="List.html#is_atom_l_rconst" title="member function List::is_atom&#40;&#41;const">is_atom</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:46 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
